' Get the window "handle#" of current focused window
   Declare Function GetFocus Lib "User" () As Integer

' Send command strings to driver
      Declare Function mciExecute Lib "mmsystem.dll" (ByVal A$) As Integer

' Define our Globals
   Global AliasName$
   Global mciFile As String
   Global HwndFrame As Integer
   Global Paused As Integer
   Global SoundStatus As Integer

' This subroutine allows any Windows events to be processed.
' This may be necessary to solve any synchronization
' problems with Windows events.
'
' This subroutine can also be used to force a delay in
' processing.
Sub WaitForEventsToFinish (NbrTimes As Integer)
   Dim i As Integer
   For i = 1 To NbrTimes
      dummy% = DoEvents()
   Next i
End Sub

